local module = ... or D:module("masksets")
local TweakData = module:hook_class("TweakData")
module:post_hook(TweakData, "init", function(self)
	table.merge(self.mask_sets, {
		-- the order is hoxton, wolf, dallas, chains.
		clowns = {
			[1] = {
				mask_icon = "mask_clown2",                                          -- id in hudiconstweakdata, for other criminal mugshots
				health_gui_offset = 128,                                            -- x offset in health_gui_image file
				mask_obj = "units/characters/npc/criminal/masks/clown/hoxton_clown" -- mask object that spawns (only works in singleplayer or with the hud mod and some options)
			},
			[2] = {
				mask_icon = "mask_clown1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/clown/wolf_clown"
			},
			[3] = {
				mask_icon = "mask_clown3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/clown/dallas_clown"
			},
			[4] = {
				mask_icon = "mask_clown4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/clown/chains_clown"
			},
			health_gui_image = "guis/textures/team_health_org"
		},
		alienware = {
			{
				mask_icon = "mask_alien2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/alien/hoxton_alien"
			},
			{
				mask_icon = "mask_alien1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/alien/wolf_alien"
			},
			{
				mask_icon = "mask_alien3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/alien/dallas_alien"
			},
			{
				mask_icon = "mask_alien4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/alien/chains_alien"
			},
			health_gui_image = "guis/textures/team_health_alienware"
		},
		developer = {
			{
				mask_icon = "mask_dev",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/hockey/hoxton_hockey"
			},
			{
				mask_icon = "mask_dev",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/hockey/wolf_hockey"
			},
			{
				mask_icon = "mask_dev",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/hockey/dallas_hockey"
			},
			{
				mask_icon = "mask_dev",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/hockey/chains_hockey"
			},
			health_gui_image = "guis/textures/team_health_devcom"
		},
		hockey_com = {
			{
				mask_icon = "mask_com",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/hockey_com/hoxton_hockey_com"
			},
			{
				mask_icon = "mask_com",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/hockey_com/wolf_hockey_com"
			},
			{
				mask_icon = "mask_com",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/hockey_com/dallas_hockey_com"
			},
			{
				mask_icon = "mask_com",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/hockey_com/chains_hockey_com"
			},
			health_gui_image = "guis/textures/team_health_devcom"
		},
		bf3 = {
			{
				mask_icon = "mask_bf2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/beeef/hoxton_beeef"
			},
			{
				mask_icon = "mask_bf1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/beeef/wolf_beeef"
			},
			{
				mask_icon = "mask_bf3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/beeef/dallas_beeef"
			},
			{
				mask_icon = "mask_bf4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/beeef/chains_beeef"
			},
			health_gui_image = "guis/textures/team_health_beef"
		},
		santa = {
			{
				mask_icon = "mask_santa",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/santa_clause_mask/hoxton_santa",
					bridge = "units/characters/npc/criminal/masks/santa_clause_mask/hoxton_santa_raincoat"
				}
			},
			{
				mask_icon = "mask_santa",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/santa_clause_mask/wolf_santa",
					bridge = "units/characters/npc/criminal/masks/santa_clause_mask/wolf_santa_raincoat"
				}
			},
			{
				mask_icon = "mask_santa",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/santa_clause_mask/dallas_santa",
					bridge = "units/characters/npc/criminal/masks/santa_clause_mask/dallas_santa_raincoat"
				}
			},
			{
				mask_icon = "mask_santa",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/santa_clause_mask/chains_santa",
					bridge = "units/characters/npc/criminal/masks/santa_clause_mask/chains_santa_raincoat"
				}
			},
			health_gui_image = "guis/textures/team_health_devcom"
		},
		gold = {
			{
				mask_icon = "mask_gold2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/gold/hoxton_clown_gold"
			},
			{
				mask_icon = "mask_gold1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/gold/wolf_clown_gold"
			},
			{
				mask_icon = "mask_gold3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/gold/dallas_clown_gold"
			},
			{
				mask_icon = "mask_gold4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/gold/chains_clown_gold"
			},
			health_gui_image = "guis/textures/team_health_145"
		},
		president = {
			{
				mask_icon = "mask_president2",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/presidents/hoxton_president",
					bridge = "units/characters/npc/criminal/masks/presidents/hoxton_president_raincoat"
				}
			},
			{
				mask_icon = "mask_president1",
				health_gui_offset = 64,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/presidents/wolf_president",
					bridge = "units/characters/npc/criminal/masks/presidents/wolf_president_raincoat"
				}
			},
			{
				mask_icon = "mask_president3",
				health_gui_offset = 0,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/presidents/dallas_president",
					bridge = "units/characters/npc/criminal/masks/presidents/dallas_president_raincoat"
				}
			},
			{
				mask_icon = "mask_president4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/presidents/chains_president"
			},
			health_gui_image = "guis/textures/team_health_presidents"
		},
		zombie = {
			{
				mask_icon = "mask_zombie2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/zombie/boomer_hoxton"
			},
			{
				mask_icon = "mask_zombie1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/zombie/smoker_wolf"
			},
			{
				mask_icon = "mask_zombie3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/zombie/hunter_dallas"
			},
			{
				mask_icon = "mask_zombie4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/zombie/hulk_chains"
			},
			health_gui_image = "guis/textures/team_health_zombie"
		},
		troll = {
			{
				mask_icon = "mask_troll2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/troll/hoxton_lol"
			},
			{
				mask_icon = "mask_troll1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/troll/wolf_lol"
			},
			{
				mask_icon = "mask_troll3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/troll/dallas_lol"
			},
			{
				mask_icon = "mask_troll4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/troll/chains_lol"
			},
			health_gui_image = "guis/textures/team_health_lol"
		},
		music = {
			{
				mask_icon = "mask_music2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/venetian/hoxton_venetian"
			},
			{
				mask_icon = "mask_music1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/venetian/wolf_venetian"
			},
			{
				mask_icon = "mask_music3",
				health_gui_offset = 0,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/venetian/dallas_venetian",
					bridge = "units/characters/npc/criminal/masks/venetian/dallas_venetian_raincoat"
				}
			},
			{
				mask_icon = "mask_music4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/venetian/chains_venetian"
			},
			health_gui_image = "guis/textures/team_health_venetian"
		},
		vyse = {
			{
				mask_icon = "mask_vyse2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/vyse/hoxton_vyce"
			},
			{
				mask_icon = "mask_vyse1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/vyse/wolf_vyce"
			},
			{
				mask_icon = "mask_vyse3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/vyse/dallas_vyce"
			},
			{
				mask_icon = "mask_vyse4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/vyse/chains_vyce"
			},
			health_gui_image = "guis/textures/team_health_vyse"
		},
		halloween = {
			{
				mask_icon = "mask_halloween2",
				health_gui_offset = 128,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/halloween/hoxton_halloween",
					bridge = "units/characters/npc/criminal/masks/halloween/hoxton_halloween_raincoat"
				}
			},
			{
				mask_icon = "mask_halloween1",
				health_gui_offset = 64,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/halloween/wolf_halloween",
					bridge = "units/characters/npc/criminal/masks/halloween/wolf_halloween_raincoat"
				}
			},
			{
				mask_icon = "mask_halloween3",
				health_gui_offset = 0,
				mask_obj = {
					default = "units/characters/npc/criminal/masks/halloween/dallas_halloween",
					bridge = "units/characters/npc/criminal/masks/halloween/dallas_halloween_raincoat"
				}
			},
			{
				mask_icon = "mask_halloween4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/halloween/chains_halloween"
			},
			health_gui_image = "guis/textures/team_health_halloween"
		},
		tester = {
			{
				mask_icon = "mask_tester2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/tester/hoxton_tester"
			},
			{
				mask_icon = "mask_tester1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/tester/wolf_tester"
			},
			{
				mask_icon = "mask_tester3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/tester/dallas_tester"
			},
			{
				mask_icon = "mask_tester4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/tester/chains_tester"
			},
			health_gui_image = "guis/textures/team_health_tester"
		},
		end_of_the_world = {
			{
				mask_icon = "mask_end_of_the_world2",
				health_gui_offset = 128,
				mask_obj = "units/characters/npc/criminal/masks/end_of_the_world/hoxton_end_of_the_world"
			},
			{
				mask_icon = "mask_end_of_the_world1",
				health_gui_offset = 64,
				mask_obj = "units/characters/npc/criminal/masks/end_of_the_world/wolf_end_of_the_world"
			},
			{
				mask_icon = "mask_end_of_the_world3",
				health_gui_offset = 0,
				mask_obj = "units/characters/npc/criminal/masks/end_of_the_world/dallas_end_of_the_world"
			},
			{
				mask_icon = "mask_end_of_the_world4",
				health_gui_offset = 192,
				mask_obj = "units/characters/npc/criminal/masks/end_of_the_world/chains_end_of_the_world"
			},
			health_gui_image = "guis/textures/team_health_end_of_the_world"
		},
	})
end, false)